#pragma once


class CWLan
{
protected:
	HANDLE m_hClient;
	GUID m_GUID;
	std::vector<WLAN_PROFILE_INFO> m_Profiles;
public:
	CWLan();
	virtual ~CWLan();
	bool open();
	void close();

	bool readProfiles();
	bool readGUID();

	bool connect(LPCWSTR lpszProfile);
	bool disconnect();

	UINT numProfiles()const{return m_Profiles.size();}
	const WLAN_PROFILE_INFO& getProfile(UINT i)const{return m_Profiles[i];}
};
